compact1, compact2, compact3
java.util

## Enum Formatter.BigDecimalLayoutForm

- java.lang.Object
- - java.lang.Enum<Formatter.BigDecimalLayoutForm>
  - - java.util.Formatter.BigDecimalLayoutForm

All Implemented Interfaces:
  Serializable, Comparable<Formatter.BigDecimalLayoutForm>

Enclosing class:
  Formatter

    public static enum Formatter.BigDecimalLayoutForm
    extends Enum<Formatter.BigDecimalLayoutForm>

Enum for `BigDecimal` formatting.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DECIMAL_FLOAT` Format the `BigDecimal` as a decimal number.
`SCIENTIFIC` Format the `BigDecimal` in computerized scientific notation.

### Method Summary

All Methods Static Methods Concrete Methods
`static Formatter.BigDecimalLayoutForm` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Formatter.BigDecimalLayoutForm[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SCIENTIFIC

    public static final Formatter.BigDecimalLayoutForm SCIENTIFIC

Format the `BigDecimal` in computerized scientific notation.

#### DECIMAL_FLOAT

    public static final Formatter.BigDecimalLayoutForm DECIMAL_FLOAT

Format the `BigDecimal` as a decimal number.

### Method Detail

#### values

    public static Formatter.BigDecimalLayoutForm[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Formatter.BigDecimalLayoutForm c : Formatter.BigDecimalLayoutForm.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Formatter.BigDecimalLayoutForm valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null